<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#


define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//------------------------------------------------------------------------------------------
###################################################
$error = 0;
if($rights != "9") $error = 1;


if($error==1) die($setup['hackmess']);
//
//------------------------------------------------------------------------------------------
//
$action = intval($_GET['action']);


//
if ($action)
{
 switch($_GET['action'])
 {
#####################################Создание разделов
  case '1':
  if($_POST['kod'])
{
   $name32=$_POST['topath'];
  	$name32=str_replace('files/','',$name32);
  		$name32=str_replace('/',';',$name32);
  			$name32=str_replace('_',' ',$name32);
  				if (is_file('razdely/'.$name32.'.txt')) //если раздел создан
	{
  echo 'Раздел уже создан <br><a href="razdel.php?action=2">Редактировать</a><br/>';
  }
  else
  {
  if ($_POST['kod1'])
  {
  $icon='<img align="middle" src="'.$_POST['kod1'].'"> ';
  }
  			 //////////////////////////
$fp = fopen('razdely/'.$name32.'.txt',"a+"); //Создаем файл
flock ($fp,LOCK_EX);
fputs($fp,''.$icon.'<b>'.$_POST['kod'].'</b>');
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$file=file('razdely/'.$name32.'.txt');
$i = count($file);
echo 'Раздел создан'; 
}
print '<div class="sob"><a href="razdel.php?action=1">Назад</a></div>';
print '<div class="sob"><a href="apanel.php">Админка</a></div>';
        ///////////////////////////
}
else
{
$dirs = mysql_query("SELECT `path` FROM `".$setup['pref']."files` WHERE `size` = '0';");
print '<form action="'.$_SERVER['PHP_SELF'].'?action=1" method="post">
<div>
Выберите папку<br/> к которой будет прикреплен раздел<font color="red">*</font><br/>';
if($_GET['razdel']) echo'<select class="buttom" size="1" width="70" name="topath"><option value="'.$_GET['razdel'].'">'.$_GET['razdel'].'</option>';
else echo'<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_array($dirs))
{

$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}

echo '</select><br/>
Введите название раздела<font color="red">*</font><br/>
<input type="text" name="kod" value=""/><br/>
Введите адрес иконки к разделу<br/>
<input type="text" name="kod1" value=""/><br/>
<input type="submit" value="Создать"/>
<br/><br/><font color="red">*</font>-обезательны к заполнению<br/>
</div></form>';
print '<div class="sob"><a href="razdel.php?action=2">Редактировать</a></div>';
print '<div class="sob"><a href="apanel.php">Админка</a></div>';
}
 
  break;
#####################################Редактирование
   case '2':
   if($_GET['razdel'])
{
   $razdel=$_GET['razdel'];

  				if (is_file('razdely/'.$razdel.'.txt')) //если раздел создан
	{
 print '
<div class="menu">
Редактирование</div>';
$tex=file_get_contents('razdely/'.$razdel.'.txt');
$tex = htmlentities($tex, ENT_QUOTES, 'UTF-8');
echo '<form action="razdel.php?action=3&amp;razdel='.$razdel.'" method="post">
<textarea class="enter" cols="15" rows="3" name="tex2" maxlength="256" value="">'.$tex.'</textarea><br/><br/>
<input class="buttom" type="submit" value="Изменить"/></form>';
  }
  else
  {
  echo 'Раздел не создан.<br/><a href="razdel.php?action=1">Создать</a><br/>';
  }
print '<div class="sob"><a href="razdel.php?action=2">Назад</a></div>';
print '<div class="sob"><a href="apanel.php">Админка</a></div>';
        ///////////////////////////
}
else
{
$dirs = mysql_query("SELECT `path` FROM `".$setup['pref']."files` WHERE `size` = '0';");
print '
<div class="menu">
Выберите раздел:</div><table style="margin: 0px; border-bottom: 1px solid #86929d;" width="100%" cellspacing="1">';
while($item = mysql_fetch_array($dirs))
{

$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
	###############Проверка на существование раздела к директории
	$name32=$item['path'];
  	$name32=str_replace('files/','',$name32);
  		$name32=str_replace('/',';',$name32);
  			$name32=str_replace('_',' ',$name32);
		if (is_file('razdely/'.$name32.'.txt')) //если раздел существует
	{
	$option2=$name32;
	echo '<tr><td width="2%" align="left" style="background: #DFE6EF;">'.$option.'</td><td width="1%" align="left" style="background: #DFE6EF;"><a href="razdel.php?action=2&amp;razdel='.$option2.'">Изм</a></td><td width="5%" align="left" style="background: #DFE6EF;"><a href="razdel.php?razdel='.$option2.'&amp;action=4">Del</a></td></tr>';
  $su4=1;
	}

}
if ($su4==NULL) echo 'Разделы не созданы.<br/><a href="razdel.php?action=1">Создать</a><br/>';

print '</table><div class="sob"><a href="apanel.php">Админка</a></div>';
}
   break;
   ////////////////Запись изменений в файл
   case '3':
   if ($_POST['tex2'])
  {
  if (is_file('razdely/'.$_GET['razdel'].'.txt')) //если раздел создан

	{
 
  			  //////////////////////////удаляем все лишнее с файла
  			  $fp=fopen('razdely/'.$_GET['razdel'].'.txt',"w");
          flock ($fp,LOCK_EX);
          unset($file[0],$file[1]);
          fputs($fp, implode("",$file));
          flock ($fp,LOCK_UN);
          fclose($fp);
////////////////////////////////
$fp = fopen('razdely/'.$_GET['razdel'].'.txt',"a+"); //Создаем файл
flock ($fp,LOCK_EX);
fputs($fp,$_POST['tex2']);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$file=file('razdely/'.$_GET['razdel'].'.txt');
$i = count($file);
echo 'Раздел успешно изменен.'; }
else echo 'Ошыбка!Раздела несуществует!';
 }
else echo 'Ошыбка!Поле пустое.';
print '<div class="sob"><a href="razdel.php?action=2">Назад</a></div>';
print '<div class="sob"><a href="apanel.php">Админка</a></div>';
   break;
   ////////////\\\\\\\Уаление разделов
      case '4':
   if ($_GET['razdel'] and empty($_GET['yes']) )
  {
  print '<div class="menu">
Удалить раздел? <a href="razdel.php?action=4&amp;yes=1&amp;razdel='.$_GET['razdel'].'">Y</a>/<a href="razdel.php?action=2">N</a></div>';
  }
  if (is_file('razdely/'.$_GET['razdel'].'.txt') and $_GET['yes']==1 )//если раздел создан
  	{ 

if (unlink('razdely/'.$_GET['razdel'].'.txt'))
{ echo "Раздел успешно удален"; }
else
{ echo "Ошибка при удалении файла"; }
 }

 

print '<div class="sob"><a href="razdel.php?action=2">Назад</a></div>';
print '<div class="sob"><a href="apanel.php">Админка</a></div>';
   break;
 }
}
else exit;

require_once ("moduls/foot.php");
?>